Bug 603018 - hdparm --security-* options fail with Input/output error
hdparm --security-* options fail with Input/output error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hdparm (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 05:58 EDT by Robert de Rooy
Modified: 2011-06-27 14:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
. (48 bytes, text/plain)
2010-06-13 08:06 EDT, Robert de Rooy
no flags Details

  None (edit)
Description Robert de Rooy 2010-06-11 05:58:07 EDT
Description of problem:
Trying to set a new, or clear an existing HDD password with hdparm fails with an IO error.
The reason I am trying to do get this to work, is to support Ultrabay HDD with passwords on them without having to reboot each time to have the BIOS unlock the drive.

I tried this on both an older PATA ThinkPad with ICH4 (ata_piix), and on a newer SATA ThinkPad with ICH7 (ahci).

Regardless of the hardware I get the following IO error when trying to set a password:

# hdparm --user-master u --security-set-pass PASSWD /dev/sdb
security_password="PASSWD"

/dev/sdb:
 Issuing SECURITY_SET_PASS command, password="PASSWD", user=user, mode=high
SECURITY_SET_PASS: Input/output error

Or when trying to clear an existing password:
$ sudo hdparm --user-master u --security-set-pass NULL /dev/sda
security_password=""

/dev/sda:
 Issuing SECURITY_SET_PASS command, password="", user=user, mode=high
SECURITY_SET_PASS: Input/output error

In neither case are any messages logged to syslog.

Version-Release number of selected component (if applicable):
kernel-2.6.33.5-112.fc13
hdparm-9.27-1.fc13

How reproducible:
each time when trying to execute a hdparm --security-* command

Steps to Reproduce:
1. hdparm --security-set-pass FOO /dev/sda
2.
3.
  
Actual results:
error

Expected results:
set or clear password

Additional info:
Comment 1 Robert de Rooy 2010-06-13 08:06:45 EDT
Created attachment 423621 [details]
.

I mean it keeps trying it indefinably until you remove the disk, which I did in the attached log file after a bit.
Comment 2 Robert de Rooy 2010-06-13 08:11:39 EDT
Comment on attachment 423621 [details]
.

oops, wrong bug, wrong attachement
Comment 3 John Hein 2010-08-25 20:33:25 EDT
What do you get when you do the following?
hdparm -I /dev/sda | grep frozen
Comment 4 Bug Zapper 2011-06-02 07:14:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:00:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.